These docs are for v2.3. Click to read the latest docs for v3.0.

Close a visit

Sample Request:

POST /api/v2/visits/e78e7e96-e255-42f8-912c-08dbd92d7a32/close

This endpoint requires all data to be in the body of the request.

{
"visitCloseReason": "Completed",
"appendVisitNotes": "Work Order Visit Was a Success"
}

Sample Response:
{
"visitId": "57610ff2-1d76-4b9b-b0f0-08dbd95077e8",
"visitDate": "30/10/2023 15:19:00",
"visitType": "WorkOrderVisit",
"visitResult": "Completed",
"address": "1 Albert Square, SW8 1DA",
"visitNote": "CLOSE NOTE - Work Order Visit Was a Success",
"assignedTo": "John Doe",
"createdDate": "30/10/2023 15:20:05",
"lastUpdatedDate": "30/10/2023 15:21:19"
}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The visit Id (Reference)

Body Params
string | null
string | null
Headers
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses
201

On Success

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json